# Class BasicOptionPaneUI.PropertyChangeHandler

java.lang.Object
javax.swing.plaf.basic.BasicOptionPaneUI.PropertyChangeHandler

All Implemented Interfaces:
  `PropertyChangeListener, EventListener`

Enclosing class:
  `BasicOptionPaneUI`

public class BasicOptionPaneUI.PropertyChangeHandler extends Object implements PropertyChangeListener
This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicOptionPaneUI`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyChangeHandler()`
  Constructs a `PropertyChangeHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `propertyChange(PropertyChangeEvent e)`
  If the source of the PropertyChangeEvent `e` equals the optionPane and is one of the ICON_PROPERTY, MESSAGE_PROPERTY, OPTIONS_PROPERTY or INITIAL_VALUE_PROPERTY, validateComponent is invoked.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### PropertyChangeHandler

    public PropertyChangeHandler()
    Constructs a `PropertyChangeHandler`.

- ## Method Details

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent e)
    If the source of the PropertyChangeEvent `e` equals the optionPane and is one of the ICON_PROPERTY, MESSAGE_PROPERTY, OPTIONS_PROPERTY or INITIAL_VALUE_PROPERTY, validateComponent is invoked.
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`
    Parameters:
      `e` - A PropertyChangeEvent object describing the event source and the property that has changed.